summaryrefslogtreecommitdiff
path: root/src/rpm
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2021-01-31 17:56:11 +0100
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2021-02-15 20:49:14 +0100
commitaddf2c0ecdedaf3863f1b670ca5ca17d058446c9 (patch)
treef04905c2bd53b1e9e2bbb6acf33a8dd5b2f465cf /src/rpm
parent8e5658010dbb929d129539521acb7de3dc6cdf69 (diff)
downloadsystemd-addf2c0ecdedaf3863f1b670ca5ca17d058446c9.tar.gz
rpm: sync the shell version of triggers.systemd with the lua version
Note that this goes both ways: in particular the lua version had udev scriptlets in the wrong package, fixed in https://src.fedoraproject.org/rpms/systemd/c/3c9433d7cf4afc8d76660402f6c3d9d991596b83. Add missing "|| :" so the scriptlets never fail.
Diffstat (limited to 'src/rpm')
-rw-r--r--src/rpm/triggers.systemd.in4
-rw-r--r--src/rpm/triggers.systemd.sh.in78
2 files changed, 34 insertions, 48 deletions
diff --git a/src/rpm/triggers.systemd.in b/src/rpm/triggers.systemd.in
index 2d25db3696..9391ed45a4 100644
--- a/src/rpm/triggers.systemd.in
+++ b/src/rpm/triggers.systemd.in
@@ -82,7 +82,7 @@ if posix.access("/run/systemd/system") then
end
end
-%transfiletriggerin -p <lua> -- @udevhwdbdir@
+%transfiletriggerin udev -p <lua> -- @udevhwdbdir@
-- This script will automatically invoke hwdb update if files have been
-- installed or updated in @udevhwdbdir@.
if posix.access("/run/systemd/system") then
@@ -106,7 +106,7 @@ if posix.access("/run/systemd/system") then
end
end
-%transfiletriggerin -p <lua> -- @udevrulesdir@
+%transfiletriggerin udev -p <lua> -- @udevrulesdir@
-- This script will automatically update udev with new rules if files
-- have been installed or updated in @udevrulesdir@.
if posix.access("/run/systemd/system") then
diff --git a/src/rpm/triggers.systemd.sh.in b/src/rpm/triggers.systemd.sh.in
index 7a7e792da0..13f7cb631d 100644
--- a/src/rpm/triggers.systemd.sh.in
+++ b/src/rpm/triggers.systemd.sh.in
@@ -1,38 +1,24 @@
# -*- Mode: rpm-spec; indent-tabs-mode: nil -*- */
-# SPDX-License-Identifier: LGPL-2.1+
+# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of systemd.
#
-# Copyright 2015 Zbigniew Jędrzejewski-Szmek
# Copyright 2018 Neal Gompa
-#
-# systemd is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation; either version 2.1 of the License, or
-# (at your option) any later version.
-#
-# systemd is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with systemd; If not, see <http://www.gnu.org/licenses/>.
# The contents of this are an example to be copied into systemd.spec.
#
# Minimum rpm version supported: 4.13.0
-%transfiletriggerin -P 900900 -- /usr/lib/systemd/system /etc/systemd/system
+%transfiletriggerin -P 900900 -- @systemunitdir@ /etc/systemd/system
# This script will run after any package is initially installed or
# upgraded. We care about the case where a package is initially
# installed, because other cases are covered by the *un scriptlets,
# so sometimes we will reload needlessly.
-if test -d /run/systemd/system; then
- %{_bindir}/systemctl daemon-reload
+if test -d "/run/systemd/system"; then
+ %{_bindir}/systemctl daemon-reload || :
fi
-%transfiletriggerun -- /usr/lib/systemd/system /etc/systemd/system
+%transfiletriggerun -- @systemunitdir@ /etc/systemd/system
# On removal, we need to run daemon-reload after any units have been
# removed. %transfiletriggerpostun would be ideal, but it does not get
# executed for some reason.
@@ -47,65 +33,65 @@ fi
# the first %filetriggerpostun.
if test -d "/run/systemd/system"; then
- mkdir -p "%{_localstatedir}/lib/rpm-state/systemd"
- touch "%{_localstatedir}/lib/rpm-state/systemd/needs-reload"
+ mkdir -p "%{_localstatedir}/lib/rpm-state/systemd"
+ touch "%{_localstatedir}/lib/rpm-state/systemd/needs-reload"
fi
-%filetriggerpostun -P 1000100 -- /usr/lib/systemd/system /etc/systemd/system
+%filetriggerpostun -P 1000100 -- @systemunitdir@ /etc/systemd/system
if test -f "%{_localstatedir}/lib/rpm-state/systemd/needs-reload"; then
- rm -rf "%{_localstatedir}/lib/rpm-state/systemd"
- %{_bindir}/systemctl daemon-reload
+ rm -rf "%{_localstatedir}/lib/rpm-state/systemd"
+ %{_bindir}/systemctl daemon-reload || :
fi
-%transfiletriggerin -P 100700 -- /usr/lib/sysusers.d
-# This script will process files installed in /usr/lib/sysusers.d to create
+%transfiletriggerin -P 100700 -- @sysusersdir@
+# This script will process files installed in @sysusersdir@ to create
# specified users automatically. The priority is set such that it
# will run before the tmpfiles file trigger.
-if test -d /run/systemd/system; then
+if test -d "/run/systemd/system"; then
%{_bindir}/systemd-sysusers || :
fi
-%transfiletriggerin -P 100500 -- /usr/lib/tmpfiles.d
-# This script will process files installed in /usr/lib/tmpfiles.d to create
+%transfiletriggerin -P 100500 -- @tmpfilesdir@
+# This script will process files installed in @tmpfilesdir@ to create
# tmpfiles automatically. The priority is set such that it will run
# after the sysusers file trigger, but before any other triggers.
-if test -d /run/systemd/system; then
+if test -d "/run/systemd/system"; then
%{_bindir}/systemd-tmpfiles --create || :
fi
-%transfiletriggerin udev -- /usr/lib/udev/hwdb.d
+%transfiletriggerin udev -- @udevhwdbdir@
# This script will automatically invoke hwdb update if files have been
-# installed or updated in /usr/lib/udev/hwdb.d.
-if test -d /run/systemd/system; then
+# installed or updated in @udevhwdbdir@.
+if test -d "/run/systemd/system"; then
%{_bindir}/systemd-hwdb update || :
fi
-%transfiletriggerin -- /usr/lib/systemd/catalog
+%transfiletriggerin -- @catalogdir@
# This script will automatically invoke journal catalog update if files
-# have been installed or updated in /usr/lib/systemd/catalog.
-if test -d /run/systemd/system; then
+# have been installed or updated in @catalogdir@.
+if test -d "/run/systemd/system"; then
%{_bindir}/journalctl --update-catalog || :
fi
-%transfiletriggerin udev -- /usr/lib/udev/rules.d
+%transfiletriggerin udev -- @udevrulesdir@
# This script will automatically update udev with new rules if files
-# have been installed or updated in /usr/lib/udev/rules.d.
+# have been installed or updated in @udevrulesdir@.
if test -e /run/udev/control; then
%{_bindir}/udevadm control --reload || :
fi
-%transfiletriggerin -- /usr/lib/sysctl.d
+%transfiletriggerin -- @sysctldir@
# This script will automatically apply sysctl rules if files have been
-# installed or updated in /usr/lib/sysctl.d.
-if test -d /run/systemd/system; then
- /usr/lib/systemd/systemd-sysctl || :
+# installed or updated in @sysctldir@.
+if test -d "/run/systemd/system"; then
+ @rootlibexecdir@/systemd-sysctl || :
fi
-%transfiletriggerin -- /usr/lib/binfmt.d
+%transfiletriggerin -- @binfmtdir@
# This script will automatically apply binfmt rules if files have been
-# installed or updated in /usr/lib/binfmt.d.
-if test -d /run/systemd/system; then
+# installed or updated in @binfmtdir@.
+if test -d "/run/systemd/system"; then
# systemd-binfmt might fail if binfmt_misc kernel module is not loaded
# during install
- /usr/lib/systemd/systemd-binfmt || :
+ @rootlibexecdir@/systemd-binfmt || :
fi